Bug 79435 - DOCX - Legacy forms input fields not correctly supported
Summary: DOCX - Legacy forms input fields not correctly supported
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: DOCX-ActiveX-Legacy
  Show dependency treegraph
 
Reported: 2014-05-30 04:48 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-11-17 05:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample doc with various legacy input text fields set with various properties (10.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-30 04:48 UTC, Yousuf Philips (jay) (retired)
Details
after entering some characters into the input fields (12.38 KB, image/jpeg)
2014-05-30 04:58 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-30 04:48:57 UTC
Created attachment 100137 [details]
sample doc with various legacy input text fields set with various properties
Comment 1 Yousuf Philips (jay) (retired) 2014-05-30 04:57:20 UTC
When opening the same document in 4.2.4, it looks the same as the document opened in ms word, but once you start editing it in LibO, problems start arising.

1) the blank field is displayed properly thanks to 5 spaces in it, but when you start typing in it, it keeps those 5 spaces.

2) a field set to a limit of 10 characters can enter in more than 10 characters

3) a field set to format text input into uppercase doesnt format it
Comment 2 Yousuf Philips (jay) (retired) 2014-05-30 04:58:17 UTC
Created attachment 100139 [details]
after entering some characters into the input fields
Comment 3 Yousuf Philips (jay) (retired) 2014-05-30 05:02:45 UTC
4) and when saving the file in LibO and then reopening it in word, it has not retained the field 'default text', 'maximum length', and 'text format' properties.
Comment 4 Florian Reisinger 2014-06-28 13:03:01 UTC
How to enter text in such a area (bot Word and LibO) [In LibO it does not check anything, on Word it delets the field and does not care....
LibO 4.4 and Word 2010
Comment 5 Yousuf Philips (jay) (retired) 2014-06-28 17:56:24 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2017-10-07 11:08:33 UTC
@Tamas: Could you give your input on this?
Comment 7 QA Administrators 2018-10-08 02:47:49 UTC Comment hidden (obsolete)
Comment 8 Justin L 2018-10-23 16:04:32 UTC
at least make the documents retain the settings during a round-trip: https://gerrit.libreoffice.org/62241
Comment 9 Commit Notification 2018-11-16 14:42:12 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/46c1a75b144a4c5fd1f4ab0113b87fe030bebd27%5E%21

tdf79435 doc/docx: round-trip legacy input formfields

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-11-26 05:12:57 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d3144a09dc5e2c21ffa34e3527bb6c94cd9926e8%5E%21

partial revert tdf79435 doc: round-trip legacy input formfields

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-11-28 15:50:03 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/3640db087386d699e49f9a5d426c91de6788d612%5E%21

partial revert tdf79435 doc: round-trip legacy input formfields

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Timur 2019-11-17 20:36:45 UTC
Repro 6.5+
Comment 13 QA Administrators 2021-11-17 05:12:39 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug